Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.simulator.tools
Class GlobalPropertiesStore

    java.lang.Object
      lbg.simulator.tools.GlobalPropertiesStore

    public class GlobalPropertiesStore

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`GlobalPropertiesStore()` Constructs a new GlobalPropertiesStore.

Method Summary
`Measurement` | `getMeasurement(java.lang.String key)` Returns stored Measurement.
`java.util.ArrayList<java.lang.String>` | `keys()`
`int` | `size()`
`void` | `storeProperty(java.lang.String log_name, java.lang.String key, java.lang.String value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GlobalPropertiesStore

    public GlobalPropertiesStore()
                          throws GridException

  Constructs a new GlobalPropertiesStore.

  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### storeProperty

    public void storeProperty(java.lang.String log_name,
                              java.lang.String key,
                              java.lang.String value)
                       throws GridException

  Throws:
    `GridException`

### getMeasurement

    public Measurement getMeasurement(java.lang.String key)
                               throws GridException

  Returns stored Measurement.

  Parameters:
    `key` - target key
  Returns:
    stored Measurement, guaranteed to be non-null
  Throws:
    `GridException` - if a parameter is illegal, or a Measurement cannot be found for target key

### size

    public int size()

### keys

    public java.util.ArrayList<java.lang.String> keys()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.